From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/gimp/
Date: Mon, 30 Dec 2024 23:41:24 +0000 (UTC) [thread overview]
Message-ID: <1735602054.fa1e14f1090789e1e5304fccf4beafa8384edf94.sam@gentoo> (raw)
commit: fa1e14f1090789e1e5304fccf4beafa8384edf94
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Mon Dec 30 23:28:18 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec 30 23:40:54 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa1e14f1
media-gfx/gimp: 3.0.0_rc2 version bump
Still affected fails test "gimp:app / core" TIMEOUT issue
Bug: https://bugs.gentoo.org/936290
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Closes: https://github.com/gentoo/gentoo/pull/39915
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-gfx/gimp/Manifest | 1 +
media-gfx/gimp/gimp-3.0.0_rc2.ebuild | 260 +++++++++++++++++++++++++++++++++++
2 files changed, 261 insertions(+)
diff --git a/media-gfx/gimp/Manifest b/media-gfx/gimp/Manifest
index 74114bf9c2e6..6cc41942d6a9 100644
--- a/media-gfx/gimp/Manifest
+++ b/media-gfx/gimp/Manifest
@@ -1,2 +1,3 @@
DIST gimp-2.10.38.tar.bz2 31698453 BLAKE2B 58c29e3e00d873e69a5e5f4e9c3ff4d868ccfb11914570306ef12c54ca7d3ef89a62d8c71fac1f2d1f426ac615dc4caf7a7260351c00301dce2b1aa4193bab6d SHA512 343bf1c3bd14bf8e7c7af79c05920faca213da68549127c1d8af53e2e872e55aeaf39a3cfcf578183a34fdc4f98e1c859be63956b0611067186eefd1fdee2aaa
DIST gimp-3.0.0-RC1.tar.xz 28863948 BLAKE2B d9e1ae51809d1c8e5084a9e85b660cd0f3a763f8ee220075fe73f512940e9637d50675a06d0dca88c501571a26404cb6b53c9573348002586143c52736dfa196 SHA512 844896976b66b0498ba9149c7176f5442b2305fd3dc51fce7ff92eb05b7b0f86f16d0bd16e50a3c43ab2c6b9be4e610dbbfc50a99c84a62a4de80a6937d43985
+DIST gimp-3.0.0-RC2.tar.xz 26980968 BLAKE2B 56b98a7863df22cf81015a9da5d7535cfef5a154c47418b1b6c6212cc76423e0769a4aa8d76714d2eb22595b1f6e2c623e4444e35675db5fe7e40c8820fe71dd SHA512 c0a6e096d954f3048cb68fe4ff71dd2f49c802f800014ab8a3089a0e097e7d6f595e5716230c06e7edfddba948f0d01da14800935aa6ceb9dc2e12fb7f19d7e6
diff --git a/media-gfx/gimp/gimp-3.0.0_rc2.ebuild b/media-gfx/gimp/gimp-3.0.0_rc2.ebuild
new file mode 100644
index 000000000000..1f159711d6dd
--- /dev/null
+++ b/media-gfx/gimp/gimp-3.0.0_rc2.ebuild
@@ -0,0 +1,260 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+LUA_COMPAT=( luajit )
+PYTHON_COMPAT=( python3_{10..13} )
+VALA_USE_DEPEND=vapigen
+
+inherit lua-single meson python-single-r1 toolchain-funcs vala xdg
+
+DESCRIPTION="GNU Image Manipulation Program"
+HOMEPAGE="https://www.gimp.org/"
+SRC_URI="mirror://gimp/v$(ver_cut 1-2)/${PN}-$(ver_cut 1-3)-RC2.tar.xz"
+
+S="${WORKDIR}/${PN}-$(ver_cut 1-3)-RC2"
+LICENSE="GPL-3+ LGPL-3+"
+SLOT="0/3"
+
+IUSE="X aalib alsa doc fits gnome heif javascript jpeg2k jpegxl lua mng openexr openmp postscript test udev unwind vala vector-icons webp wmf xpm"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ lua? ( ${LUA_REQUIRED_USE} )
+ test? ( X )
+ xpm? ( X )
+"
+
+RESTRICT="!test? ( test )"
+
+# media-libs/{babl,gegl} are required to be built with USE="introspection"
+# to fix the compilation checking of /usr/share/gir-1.0/{Babl-0.1gir,Gegl-0.4.gir}
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ >=dev-python/pygobject-3.0:3[${PYTHON_USEDEP}]
+ ')
+ >=app-accessibility/at-spi2-core-2.46.0
+ >=app-text/poppler-0.90.1[cairo]
+ >=app-text/poppler-data-0.4.9
+ >=dev-libs/appstream-glib-0.7.16
+ >=dev-libs/glib-2.70.0:2
+ >=dev-libs/json-glib-1.4.4
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ >=gnome-base/librsvg-2.57.3:2
+ >=media-gfx/mypaint-brushes-2.0.2:=
+ >=media-libs/babl-0.1.110[introspection,lcms,vala?]
+ >=media-libs/fontconfig-2.12.6
+ >=media-libs/freetype-2.10.2
+ >=media-libs/gegl-0.4.52:0.4[cairo,introspection,lcms,vala?]
+ >=media-libs/gexiv2-0.14.0
+ >=media-libs/harfbuzz-2.6.5:=
+ >=media-libs/lcms-2.13.1:2
+ media-libs/libjpeg-turbo:=
+ >=media-libs/libmypaint-1.6.1:=
+ >=media-libs/libpng-1.6.37:0=
+ >=media-libs/tiff-4.1.0:=
+ net-libs/glib-networking[ssl]
+ sys-libs/zlib
+ >=x11-libs/cairo-1.16.0[X=]
+ >=x11-libs/gdk-pixbuf-2.40.0:2[introspection]
+ >=x11-libs/gtk+-3.24.16:3[introspection,X=]
+ >=x11-libs/pango-1.50.0[X=]
+ aalib? ( media-libs/aalib )
+ alsa? ( >=media-libs/alsa-lib-1.0.0 )
+ fits? ( sci-libs/cfitsio )
+ heif? ( >=media-libs/libheif-1.13.0:= )
+ javascript? ( dev-libs/gjs )
+ jpeg2k? ( >=media-libs/openjpeg-2.3.1:2= )
+ jpegxl? ( >=media-libs/libjxl-0.6.1:= )
+ lua? (
+ ${LUA_DEPS}
+ $(lua_gen_cond_dep '
+ dev-lua/lgi[${LUA_USEDEP}]
+ ')
+ )
+ mng? ( media-libs/libmng:= )
+ openexr? ( >=media-libs/openexr-2.3.0:= )
+ postscript? ( app-text/ghostscript-gpl:= )
+ udev? ( >=dev-libs/libgudev-167:= )
+ unwind? ( >=sys-libs/libunwind-1.1.0:= )
+ webp? ( >=media-libs/libwebp-0.6.0:= )
+ wmf? ( >=media-libs/libwmf-0.2.8[X=] )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXext
+ >=x11-libs/libXmu-1.1.4
+ )
+ xpm? ( x11-libs/libXpm )
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+ x11-themes/hicolor-icon-theme
+ gnome? ( gnome-base/gvfs )
+"
+
+DEPEND="
+ ${COMMON_DEPEND}
+ test? ( x11-misc/xvfb-run )
+ vala? ( $(vala_depend) )
+"
+
+# TODO: there are probably more atoms in DEPEND which should be in BDEPEND now
+BDEPEND="
+ >=dev-lang/perl-5.30.3
+ dev-util/gdbus-codegen
+ >=sys-devel/gettext-0.21
+ doc? (
+ app-text/yelp-tools
+ dev-libs/gobject-introspection[doctool]
+ dev-util/gi-docgen
+ )
+ virtual/pkgconfig
+"
+
+DOCS=( "AUTHORS" "NEWS" "README" "README.i18n" )
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+ python-single-r1_pkg_setup
+ use lua && lua-single_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ sed -i -e 's/mypaint-brushes-1.0/mypaint-brushes-2.0/' meson.build || die #737794
+
+ # Fix Gimp and GimpUI devel doc installation paths
+ sed -i -e "s/'doc'/'gtk-doc'/" devel-docs/reference/gimp/meson.build || die
+ sed -i -e "s/'doc'/'gtk-doc'/" devel-docs/reference/gimp-ui/meson.build || die
+
+ # Fix pygimp.interp python implementation path.
+ # Meson @PYTHON_PATH@ use sandbox path e.g.:
+ # '/var/tmp/portage/media-gfx/gimp-2.99.12/temp/python3.10/bin/python3'
+ sed -i -e 's/@PYTHON_PATH@/'${EPYTHON}'/' plug-ins/python/pygimp.interp.in || die
+
+ # Set proper intallation path of documentation logo
+ sed -i -e "s/'gimp-@0@'.format(gimp_app_version)/'gimp-${PVR}'/" gimp-data/images/logo/meson.build || die
+}
+
+_adjust_sandbox() {
+ # Bugs #569738 and #591214
+ local nv
+ for nv in /dev/nvidia-uvm /dev/nvidiactl /dev/nvidia{0..9} ; do
+ # We do not check for existence as they may show up later
+ # https://bugs.gentoo.org/show_bug.cgi?id=569738#c21
+ addwrite "${nv}"
+ done
+
+ addwrite /dev/dri/ # bugs #574038 and #684886
+ addwrite /dev/ati/ # bug #589198
+ addwrite /proc/mtrr # bug #589198
+}
+
+src_configure() {
+ _adjust_sandbox
+
+ use vala && vala_setup
+
+ local emesonargs=(
+ -Denable-default-bin=enabled
+
+ -Dcheck-update=no
+ -Denable-multiproc=true
+ -Dappdata-test=disabled
+ -Dbug-report-url=https://bugs.gentoo.org/
+ -Dilbm=disabled
+ -Dlibbacktrace=false
+ -Dwebkit-unmaintained=false
+ $(meson_feature aalib aa)
+ $(meson_feature alsa)
+ $(meson_feature doc gi-docgen)
+ $(meson_feature fits)
+ $(meson_feature heif)
+ $(meson_feature javascript)
+ $(meson_feature jpeg2k jpeg2000)
+ $(meson_feature jpegxl jpeg-xl)
+ $(meson_feature mng)
+ $(meson_feature openexr)
+ $(meson_feature openmp)
+ $(meson_feature postscript ghostscript)
+ $(meson_feature test headless-tests)
+ $(meson_feature udev gudev)
+ $(meson_feature vala)
+ $(meson_feature webp)
+ $(meson_feature wmf)
+ $(meson_feature X xcursor)
+ $(meson_feature xpm)
+ $(meson_use doc g-ir-doc)
+ $(meson_use lua)
+ $(meson_use unwind libunwind)
+ $(meson_use vector-icons)
+ )
+
+ meson_src_configure
+}
+
+src_compile() {
+ export XDG_DATA_DIRS="${EPREFIX}"/usr/share # bug 587004
+ meson_src_compile
+}
+
+# for https://bugs.gentoo.org/664938
+_rename_plugins() {
+ einfo 'Renaming plug-ins to not collide with pre-2.10.6 file layout (bug #664938)...'
+ local prename=gimp-org-
+ (
+ cd "${ED}"/usr/$(get_libdir)/gimp/3.0/plug-ins || exit 1
+ for plugin_slash in $(ls -d1 */); do
+ plugin=${plugin_slash%/}
+ if [[ -f ${plugin}/${plugin} ]]; then
+ # NOTE: Folder and file name need to match for Gimp to load that plug-in
+ # so "file-svg/file-svg" becomes "${prename}file-svg/${prename}file-svg"
+ mv ${plugin}/{,${prename}}${plugin} || exit 1
+ mv {,${prename}}${plugin} || exit 1
+ fi
+ done
+ )
+}
+
+src_test() {
+ local -x LD_LIBRARY_PATH="${BUILD_DIR}/libgimp:${LD_LIBRARY_PATH}"
+ meson_src_test
+}
+
+src_install() {
+ meson_src_install
+
+ python_optimize
+
+ # Workaround for bug #321111 to give GIMP the least
+ # precedence on PDF documents by default
+ mv "${ED}"/usr/share/applications/{,zzz-}gimp.desktop || die
+
+ find "${D}" -name '*.la' -type f -delete || die
+
+ # Create symlinks for Gimp exec in /usr/bin
+ dosym "${ESYSROOT}"/usr/bin/gimp-3.0 /usr/bin/gimp
+ dosym "${ESYSROOT}"/usr/bin/gimp-console-3.0 /usr/bin/gimp-console
+ dosym "${ESYSROOT}"/usr/bin/gimp-script-fu-interpreter-3.0 /usr/bin/gimp-script-fu-interpreter
+ dosym "${ESYSROOT}"/usr/bin/gimp-test-clipboard-3.0 /usr/bin/gimp-test-clipboard
+ dosym "${ESYSROOT}"/usr/bin/gimptool-3.0 /usr/bin/gimptool
+
+ _rename_plugins || die
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}
next reply other threads:[~2024-12-30 23:41 UTC|newest]
Thread overview: 255+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-30 23:41 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-04 15:44 [gentoo-commits] repo/gentoo:master commit in: media-gfx/gimp/ Sam James
2025-04-03 20:57 Sam James
2025-04-03 20:57 Sam James
2025-03-18 19:23 Sam James
2025-02-21 13:10 Sam James
2025-02-19 18:26 Sam James
2025-02-19 18:22 Sam James
2025-02-12 5:00 Sam James
2024-12-01 11:54 Sam James
2024-11-08 13:27 Joonas Niilola
2024-11-08 13:27 Joonas Niilola
2024-11-08 13:27 Joonas Niilola
2024-10-05 7:31 Viorel Munteanu
2024-09-25 13:59 Joonas Niilola
2024-09-25 13:58 Joonas Niilola
2024-08-30 12:05 Joonas Niilola
2024-07-13 8:03 Joonas Niilola
2024-06-23 7:52 Viorel Munteanu
2024-06-02 8:09 Joonas Niilola
2024-04-14 0:43 Sam James
2024-04-14 0:43 Sam James
2024-04-14 0:43 Sam James
2024-04-14 0:43 Sam James
2024-03-21 2:50 Sam James
2024-01-21 17:12 Sam James
2023-12-08 8:46 Arthur Zamarin
2023-12-08 8:41 Arthur Zamarin
2023-11-17 11:09 Sam James
2023-11-17 8:12 Joonas Niilola
2023-11-17 8:12 Joonas Niilola
2023-11-08 5:35 Sam James
2023-11-08 5:35 Sam James
2023-10-27 15:20 Michał Górny
2023-08-20 7:16 Joonas Niilola
2023-08-20 7:16 Joonas Niilola
2023-07-16 18:34 Sam James
2023-07-13 8:25 Sam James
2023-06-28 6:59 Sam James
2023-05-30 21:56 Sam James
2023-05-20 6:57 Sam James
2023-05-20 6:57 Sam James
2023-05-05 13:37 Arthur Zamarin
2023-05-05 13:36 Arthur Zamarin
2023-05-05 12:58 Arthur Zamarin
2023-05-05 10:28 Arthur Zamarin
2023-04-16 0:24 Sam James
2023-04-16 0:24 Sam James
2023-02-26 21:23 Sam James
2023-02-24 19:09 Joonas Niilola
2023-01-01 14:48 David Seifert
2022-12-23 8:03 Sam James
2022-12-16 4:30 Sam James
2022-12-01 3:21 WANG Xuerui
2022-11-25 7:52 Sam James
2022-11-25 7:52 Sam James
2022-10-30 9:40 Sam James
2022-10-20 4:16 Sam James
2022-10-08 18:34 Sam James
2022-10-04 9:25 Sam James
2022-08-31 22:26 Sam James
2022-07-11 22:50 John Helmert III
2022-07-11 22:50 John Helmert III
2022-07-10 19:13 Sam James
2022-07-09 10:23 Arthur Zamarin
2022-07-09 10:23 Arthur Zamarin
2022-07-09 10:23 Arthur Zamarin
2022-06-21 22:39 Sam James
2022-06-21 22:39 Sam James
2022-06-15 20:58 Sam James
2022-05-15 1:00 Sam James
2022-04-27 13:19 Joonas Niilola
2022-04-27 13:19 Joonas Niilola
2022-03-27 8:24 Joonas Niilola
2022-03-24 12:46 Joonas Niilola
2022-03-15 4:20 John Helmert III
2022-03-01 0:02 Sam James
2022-03-01 0:01 Sam James
2022-02-28 23:56 Sam James
2022-02-27 13:54 Jakov Smolić
2022-02-26 12:08 David Seifert
2022-02-26 2:16 Sam James
2022-02-26 2:16 Sam James
2022-02-18 22:58 Sam James
2022-01-18 22:12 Sam James
2022-01-18 12:36 Sam James
2022-01-18 12:36 Sam James
2022-01-06 10:39 David Seifert
2021-12-24 4:45 Sam James
2021-11-16 2:53 Sam James
2021-10-29 16:05 Sam James
2021-10-29 11:16 Sam James
2021-10-23 13:51 Sam James
2021-10-22 2:47 Sam James
2021-10-22 2:47 Sam James
2021-10-10 4:32 Yixun Lan
2021-10-09 19:48 Sam James
2021-10-09 19:47 Sam James
2021-09-18 3:04 Sam James
2021-09-08 6:46 Sam James
2021-09-08 6:38 Sam James
2021-08-12 3:10 Yixun Lan
2021-05-17 23:25 Sam James
2021-05-17 23:25 Sam James
2021-04-11 8:09 Joonas Niilola
2021-04-11 8:09 Joonas Niilola
2021-02-21 10:19 Andreas Sturmlechner
2021-02-21 10:19 Andreas Sturmlechner
2021-02-19 17:17 Sam James
2021-02-19 12:11 Sam James
2021-02-18 22:19 Sam James
2021-02-18 21:01 Sam James
2021-01-11 15:26 Lars Wendler
2020-12-29 1:54 Sam James
2020-12-29 1:54 Sam James
2020-12-26 23:18 Marek Szuba
2020-11-08 12:02 Sam James
2020-11-08 12:02 Sam James
2020-11-04 12:42 Mikle Kolyada
2020-10-31 11:20 Mikle Kolyada
2020-10-21 5:59 Joonas Niilola
2020-10-20 12:54 Joonas Niilola
2020-10-08 3:07 Sam James
2020-09-23 4:06 Sam James
2020-09-22 19:46 Sam James
2020-09-20 22:40 Thomas Deutschmann
2020-09-20 15:09 Sam James
2020-08-30 7:58 Andreas Sturmlechner
2020-08-22 16:07 Andreas Sturmlechner
2020-08-22 16:07 Andreas Sturmlechner
2020-08-22 6:16 Michał Górny
2020-08-22 6:16 Michał Górny
2020-08-11 7:18 Sergei Trofimovich
2020-07-24 23:53 Sam James
2020-07-23 5:15 Kent Fredric
2020-07-21 23:15 Kent Fredric
2020-07-17 0:35 Sam James
2020-07-05 8:24 Joonas Niilola
2020-07-05 8:24 Joonas Niilola
2020-06-25 8:08 Joonas Niilola
2020-05-25 12:17 Mikle Kolyada
2020-05-24 12:31 Jeroen Roovers
2020-05-10 17:42 Mart Raudsepp
2020-05-06 7:18 Sergei Trofimovich
2020-04-30 21:28 Andreas Sturmlechner
2020-04-09 22:02 Sergei Trofimovich
2020-04-07 10:21 Mart Raudsepp
2020-03-18 18:57 Georgy Yakovlev
2020-03-18 0:05 Matt Turner
2020-03-09 21:04 Mart Raudsepp
2020-03-06 15:55 Joonas Niilola
2020-03-05 12:21 Joonas Niilola
2020-02-09 16:29 Michał Górny
2020-01-27 14:25 Agostino Sarubbo
2020-01-27 12:46 Agostino Sarubbo
2020-01-27 7:54 Sergei Trofimovich
2020-01-25 22:41 Andreas Sturmlechner
2020-01-25 21:09 Andreas Sturmlechner
2020-01-07 6:20 Joonas Niilola
2019-12-26 12:56 Georgy Yakovlev
2019-12-18 16:32 Joonas Niilola
2019-12-13 13:49 Joonas Niilola
2019-12-01 3:18 Andreas Sturmlechner
2019-12-01 3:18 Andreas Sturmlechner
2019-08-28 8:19 David Seifert
2019-07-25 12:14 Aaron Bauman
2019-07-07 18:17 Sebastian Pipping
2019-05-08 19:21 Mikle Kolyada
2019-05-06 11:05 Pacho Ramos
2019-05-06 11:05 Pacho Ramos
2019-05-06 11:05 Pacho Ramos
2019-04-25 22:32 Pacho Ramos
2019-04-22 16:16 Sebastian Pipping
2019-02-04 18:13 Matt Turner
2018-11-25 19:48 Sebastian Pipping
2018-11-18 21:06 Sebastian Pipping
2018-10-14 18:25 Sebastian Pipping
2018-10-12 16:15 Michał Górny
2018-10-06 7:18 Miroslav Šulc
2018-09-25 16:31 Sebastian Pipping
2018-09-25 16:31 Sebastian Pipping
2018-09-24 20:38 Sebastian Pipping
2018-09-10 21:38 Sebastian Pipping
2018-09-07 19:12 Sebastian Pipping
2018-08-30 21:23 Sebastian Pipping
2018-08-25 19:17 Sebastian Pipping
2018-07-19 20:41 Sebastian Pipping
2018-07-08 21:34 Sebastian Pipping
2018-07-08 18:26 Sebastian Pipping
2018-06-13 17:36 Sebastian Pipping
2018-04-22 21:34 Aaron Bauman
2018-04-22 21:04 Matt Turner
2018-04-21 20:56 Sebastian Pipping
2018-03-31 18:01 Sebastian Pipping
2018-03-21 22:24 Sergei Trofimovich
2018-03-20 7:15 Sergei Trofimovich
2018-03-18 22:23 Sergei Trofimovich
2018-02-03 10:40 Sergei Trofimovich
2018-01-20 16:49 Tobias Klausmann
2018-01-15 22:41 Sergei Trofimovich
2018-01-06 17:53 Agostino Sarubbo
2018-01-06 11:57 Ulrich Müller
2018-01-03 19:17 Sebastian Pipping
2017-12-13 19:02 Sebastian Pipping
2017-10-25 22:57 Sebastian Pipping
2017-10-25 21:42 Sergei Trofimovich
2017-08-30 17:04 Sebastian Pipping
2017-08-29 23:16 Guilherme Amadio
2017-08-29 19:28 Sebastian Pipping
2017-08-27 20:56 Sebastian Pipping
2017-08-26 19:45 Sebastian Pipping
2017-07-02 14:52 Sergei Trofimovich
2017-06-06 11:31 Agostino Sarubbo
2017-06-05 14:36 Sebastian Pipping
2017-05-12 21:00 Sebastian Pipping
2017-04-08 22:17 Sebastian Pipping
2017-04-08 17:15 Sebastian Pipping
2017-04-08 15:30 Sebastian Pipping
2017-02-08 17:13 Sebastian Pipping
2017-02-08 14:08 Sebastian Pipping
2017-02-08 14:08 Sebastian Pipping
2016-12-04 19:29 Sebastian Pipping
2016-11-12 23:37 David Seifert
2016-10-31 18:46 Sebastian Pipping
2016-10-17 22:27 Sebastian Pipping
2016-09-28 11:28 Tobias Klausmann
2016-09-20 19:43 Sebastian Pipping
2016-09-18 14:34 Sebastian Pipping
2016-08-23 19:01 Markus Meier
2016-08-23 17:18 Sebastian Pipping
2016-08-13 22:26 Sebastian Pipping
2016-07-29 17:14 Sebastian Pipping
2016-07-26 6:49 Jeroen Roovers
2016-07-23 12:47 Sebastian Pipping
2016-07-22 17:43 Sebastian Pipping
2016-07-22 13:40 Sebastian Pipping
2016-07-20 17:08 Sebastian Pipping
2016-07-18 18:14 Sebastian Pipping
2016-07-18 17:51 Sebastian Pipping
2016-07-08 12:46 Sebastian Pipping
2016-07-08 12:02 Agostino Sarubbo
2016-07-03 10:02 Jeroen Roovers
2016-07-02 11:08 Jeroen Roovers
2016-06-30 12:22 Tobias Klausmann
2016-06-27 8:47 Agostino Sarubbo
2016-06-27 8:23 Agostino Sarubbo
2016-02-21 15:23 Sebastian Pipping
2016-01-31 18:34 Pacho Ramos
2015-12-31 18:47 Sebastian Pipping
2015-12-24 0:31 Sebastian Pipping
2015-12-10 22:13 Sebastian Pipping
2015-12-07 21:59 Sebastian Pipping
2015-12-05 7:51 Jeroen Roovers
2015-12-05 1:42 Sebastian Pipping
2015-09-07 15:27 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735602054.fa1e14f1090789e1e5304fccf4beafa8384edf94.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox